import request from '@/utils/request'

// 查询app-业务员业绩列表
export function listMallAppSalesmanAchievement(query) {
  return request({
    url: '/mall/mallAppSalesmanAchievement/list',
    method: 'get',
    params: query
  })
}

// 查询app-业务员业绩详细
export function getMallAppSalesmanAchievement(achievementId) {
  return request({
    url: '/mall/mallAppSalesmanAchievement/' + achievementId,
    method: 'get'
  })
}

// 新增app-业务员业绩
export function addMallAppSalesmanAchievement(data) {
  return request({
    url: '/mall/mallAppSalesmanAchievement',
    method: 'post',
    data: data
  })
}

// 修改app-业务员业绩
export function updateMallAppSalesmanAchievement(data) {
  return request({
    url: '/mall/mallAppSalesmanAchievement',
    method: 'put',
    data: data
  })
}

// 删除app-业务员业绩
export function delMallAppSalesmanAchievement(achievementId) {
  return request({
    url: '/mall/mallAppSalesmanAchievement/' + achievementId,
    method: 'delete'
  })
}

// 导出app-业务员业绩
export function exportMallAppSalesmanAchievement(query) {
  return request({
    url: '/mall/mallAppSalesmanAchievement/export',
    method: 'get',
    params: query
  })
}